<?php
/*

  _   _                       ____                      _ _               ____         __ _                          
 | \ | | _____  ___   _ ___  |  _ \ ___  ___ _   _  ___| (_)_ __   __ _  / ___|  ___  / _| |___      ____ _ _ __ ___ 
 |  \| |/ _ \ \/ / | | / __| | |_) / _ \/ __| | | |/ __| | | '_ \ / _` | \___ \ / _ \| |_| __\ \ /\ / / _` | '__/ _ \
 | |\  |  __/>  <| |_| \__ \ |  _ <  __/ (__| |_| | (__| | | | | | (_| |  ___) | (_) |  _| |_ \ V  V / (_| | | |  __/
 |_| \_|\___/_/\_\\__,_|___/ |_| \_\___|\___|\__, |\___|_|_|_| |_|\__, | |____/ \___/|_|  \__| \_/\_/ \__,_|_|  \___|
                                             |___/                |___/                                              

 (c) 2009 - 2099 LOGIC NINE, LLC
 	|	www.NexusRecycle.com
 	|	(424) 222-8080
 	|	sales@logicnine.com

*/

/**********//////////////////////////////////////////////////////////////
*********** 	! ! ! I M P O R T A N T ! ! !
***********
***********     Make sure your API key is set below!
***********     You can find this in Nexus under
***********     Products & Commodities
*********\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\*/
$hardcodedApiKey = 'your_api_key';


// Step 1: Validate API key
if (!isset($_GET['api_key']) || $_GET['api_key'] !== $hardcodedApiKey) {
    echo "PUSH_UPDATE_FAIL__INVALID_API_KEY";
    exit;
}

// Step 2: Get JSON data from POST
$data = json_decode(file_get_contents('php://input'), true);
if (!$data) {
    echo "PUSH_UPDATE_FAIL__NO_DATA";
    exit;
}

// Extract the relevant fields
$commodities = array_map(function ($commodity) {
    return [
        'CommodityName' => $commodity['CommodityName'],
        'UnitOfMeasurement' => $commodity['UnitOfMeasurement'],
        'Price' => $commodity['Price'],
        'Category' => $commodity['Category']
    ];
}, $data);

// Step 3: Sort commodities by Category and Commodity Name
usort($commodities, function ($a, $b) {
    return $a['Category'] <=> $b['Category'] ?: $a['CommodityName'] <=> $b['CommodityName'];
});

// Step 4: Write the sorted data to an HTML file
	$htmlContent  = "<table id='nexusPricingTable'>					\n";
	$htmlContent .= "	<tr>							\n";
	$htmlContent .= "		<th colspan='3'>Commodity Name</th>		\n";
	$htmlContent .= "	</tr>							\n";

	foreach ($commodities as $commodity) {
 		$htmlContent .= "<tr>							\n";
        	$htmlContent .= "	<td>{$commodity['CommodityName']}</td>		\n";
	        $htmlContent .= "	<td>{$commodity['UnitOfMeasurement']}</td>	\n";
	        $htmlContent .= "	<td>{$commodity['Price']}</td>			\n";
	    	$htmlContent .= "</tr>							\n";
	}

	$htmlContent .= "</table>";

	file_put_contents('commodities.html', $htmlContent);

	echo "PUSH_UPDATE_SUCCESS";
?>
